For the complete documentation index, see llms.txt. This page is also available as Markdown.

Exports

Retrieve an export

get

Get details of a specific export record by ID.

Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
200

Export details.

application/json
idstring · uuidRead-onlyOptional

Unique identifier for the export.

Example: 550e8400-e29b-41d4-a716-446655440000
action_namestring · max: 255 · nullableOptional

Name of the export action.

Example: export_orders
collected_countinteger · int32Optional

Number of records collected for the export.

Default: 0Example: 120
error_messagestring · nullableOptionalExample: An error occurred while exporting data.
fail_countinteger · int32Optional

Number of records that failed to export.

Default: 0Example: 5
filter_filestring · binary · nullableOptional

Path to the uploaded filter file.

format_typestring · enumOptional

File format for the export.

Default: csvExample: csvPossible values:
languagestring · max: 8Optional

Language code for the export.

Example: en
last_instance_idinteger · int32Optional

ID of the last record exported.

Default: 0Example: 42
pageinteger · int32Optional

Current page number for the export.

Default: 1Example: 2
request_fieldsstring[]Optional

List of fields requested for the export.

Example: ["id","name","price"]
request_pathstringOptional

API path to request data for the export.

Example: /api/orders/export/
requested_bystring · uuidOptional

ID of the user who requested the export.

Example: 550e8400-e29b-41d4-a716-446655440001
result_filestring · max: 512 · nullableOptional

Path or URL to the result file.

Example: /media/exports/results/orders_export.csv
total_countinteger · int32Optional

Total number of records to be exported.

Default: 0Example: 150
statusstring · enumOptionalDefault: waitingExample: processingPossible values:
uploaded_partsstring[]Optional

List of uploaded file parts.

Example: ["part_1.csv","part_2.csv"]
viewsetstring · max: 255 · nullableOptional

The name of the viewset associated with the export.

Example: OrderExportViewSet
created_datestring · date-timeOptional

Creation Date

modified_datestring · date-timeOptional

Last Modification Date

get/api/v1/exports/{id}/
GET /api/v1/exports/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "action_name": "export_orders",
  "collected_count": 120,
  "error_message": "An error occurred while exporting data.",
  "fail_count": 5,
  "filter_file": "binary",
  "format_type": "csv",
  "language": "en",
  "last_instance_id": 42,
  "page": 2,
  "request_fields": [
    "id",
    "name",
    "price"
  ],
  "request_path": "/api/orders/export/",
  "requested_by": "550e8400-e29b-41d4-a716-446655440001",
  "result_file": "/media/exports/results/orders_export.csv",
  "total_count": 150,
  "status": "processing",
  "uploaded_parts": [
    "part_1.csv",
    "part_2.csv"
  ],
  "viewset": "OrderExportViewSet",
  "created_date": "2026-01-01T00:00:00.000Z",
  "modified_date": "2026-01-01T00:00:00.000Z"
}

List exports

get

Retrieve a list of export records with optional filtering. Non-superusers can only see their own records.

Authorizations
AuthorizationstringRequired
Query parameters
created_datestring · date-timeOptional

Filter by creation date using supported lookup expressions (e.g., gt, gte, lt, lte, date__gt, etc.).

Example: created_date__gt=2024-01-01T00:00:00Z
statusstring · enumOptional

Filter by the export status.

Example: completedPossible values:
format_typestring · enumOptional

Filter by the export file format.

Example: csvPossible values:
Responses
200

A list of exports.

application/json
idstring · uuidRead-onlyOptional

Unique identifier for the export.

Example: 550e8400-e29b-41d4-a716-446655440000
action_namestring · max: 255 · nullableOptional

Name of the export action.

Example: export_orders
collected_countinteger · int32Optional

Number of records collected for the export.

Default: 0Example: 120
error_messagestring · nullableOptionalExample: An error occurred while exporting data.
fail_countinteger · int32Optional

Number of records that failed to export.

Default: 0Example: 5
filter_filestring · binary · nullableOptional

Path to the uploaded filter file.

format_typestring · enumOptional

File format for the export.

Default: csvExample: csvPossible values:
languagestring · max: 8Optional

Language code for the export.

Example: en
last_instance_idinteger · int32Optional

ID of the last record exported.

Default: 0Example: 42
pageinteger · int32Optional

Current page number for the export.

Default: 1Example: 2
request_fieldsstring[]Optional

List of fields requested for the export.

Example: ["id","name","price"]
request_pathstringOptional

API path to request data for the export.

Example: /api/orders/export/
requested_bystring · uuidOptional

ID of the user who requested the export.

Example: 550e8400-e29b-41d4-a716-446655440001
result_filestring · max: 512 · nullableOptional

Path or URL to the result file.

Example: /media/exports/results/orders_export.csv
total_countinteger · int32Optional

Total number of records to be exported.

Default: 0Example: 150
statusstring · enumOptionalDefault: waitingExample: processingPossible values:
uploaded_partsstring[]Optional

List of uploaded file parts.

Example: ["part_1.csv","part_2.csv"]
viewsetstring · max: 255 · nullableOptional

The name of the viewset associated with the export.

Example: OrderExportViewSet
created_datestring · date-timeOptional

Creation Date

modified_datestring · date-timeOptional

Last Modification Date

get/api/v1/exports/
GET /api/v1/exports/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
[
  {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "action_name": "export_orders",
    "collected_count": 120,
    "error_message": "An error occurred while exporting data.",
    "fail_count": 5,
    "filter_file": "binary",
    "format_type": "csv",
    "language": "en",
    "last_instance_id": 42,
    "page": 2,
    "request_fields": [
      "id",
      "name",
      "price"
    ],
    "request_path": "/api/orders/export/",
    "requested_by": "550e8400-e29b-41d4-a716-446655440001",
    "result_file": "/media/exports/results/orders_export.csv",
    "total_count": 150,
    "status": "processing",
    "uploaded_parts": [
      "part_1.csv",
      "part_2.csv"
    ],
    "viewset": "OrderExportViewSet",
    "created_date": "2026-01-01T00:00:00.000Z",
    "modified_date": "2026-01-01T00:00:00.000Z"
  }
]

Set export as cancelled

post

Mark an export record as cancelled. Only accessible by superusers.

Authorizations
AuthorizationstringRequired
Path parameters
idintegerRequired

Unique identifier of the resource

Example: 1
Responses
200

Export successfully cancelled.

application/json
idstring · uuidRead-onlyOptional

Unique identifier for the export.

Example: 550e8400-e29b-41d4-a716-446655440000
action_namestring · max: 255 · nullableOptional

Name of the export action.

Example: export_orders
collected_countinteger · int32Optional

Number of records collected for the export.

Default: 0Example: 120
error_messagestring · nullableOptionalExample: An error occurred while exporting data.
fail_countinteger · int32Optional

Number of records that failed to export.

Default: 0Example: 5
filter_filestring · binary · nullableOptional

Path to the uploaded filter file.

format_typestring · enumOptional

File format for the export.

Default: csvExample: csvPossible values:
languagestring · max: 8Optional

Language code for the export.

Example: en
last_instance_idinteger · int32Optional

ID of the last record exported.

Default: 0Example: 42
pageinteger · int32Optional

Current page number for the export.

Default: 1Example: 2
request_fieldsstring[]Optional

List of fields requested for the export.

Example: ["id","name","price"]
request_pathstringOptional

API path to request data for the export.

Example: /api/orders/export/
requested_bystring · uuidOptional

ID of the user who requested the export.

Example: 550e8400-e29b-41d4-a716-446655440001
result_filestring · max: 512 · nullableOptional

Path or URL to the result file.

Example: /media/exports/results/orders_export.csv
total_countinteger · int32Optional

Total number of records to be exported.

Default: 0Example: 150
statusstring · enumOptionalDefault: waitingExample: processingPossible values:
uploaded_partsstring[]Optional

List of uploaded file parts.

Example: ["part_1.csv","part_2.csv"]
viewsetstring · max: 255 · nullableOptional

The name of the viewset associated with the export.

Example: OrderExportViewSet
created_datestring · date-timeOptional

Creation Date

modified_datestring · date-timeOptional

Last Modification Date

post/api/v1/exports/{id}/set_cancel/
POST /api/v1/exports/{id}/set_cancel/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "action_name": "export_orders",
  "collected_count": 120,
  "error_message": "An error occurred while exporting data.",
  "fail_count": 5,
  "filter_file": "binary",
  "format_type": "csv",
  "language": "en",
  "last_instance_id": 42,
  "page": 2,
  "request_fields": [
    "id",
    "name",
    "price"
  ],
  "request_path": "/api/orders/export/",
  "requested_by": "550e8400-e29b-41d4-a716-446655440001",
  "result_file": "/media/exports/results/orders_export.csv",
  "total_count": 150,
  "status": "processing",
  "uploaded_parts": [
    "part_1.csv",
    "part_2.csv"
  ],
  "viewset": "OrderExportViewSet",
  "created_date": "2026-01-01T00:00:00.000Z",
  "modified_date": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?